import request from '@/utils/request'

// 获取充装枪管理列表
export function getFillGun(parameter) {
  return request({
    url: '/api/fill-gun',
    method: 'get',
    params: parameter
  })
}

// 获取充装枪详情
export function getFillGunDetails(parameter) {
  return request({
    url: '/api/fill-gun/' + parameter,
    method: 'get',
  })
}

// 添加充装枪
export function addFillGun(parameter) {
  return request({
    url: '/api/fill-gun',
    method: 'post',
    data: parameter
  })
}

// 编辑充装枪
export function putFillGun(parameter) {
  return request({
    url: '/api/fill-gun',
    method: 'put',
    data: parameter
  })
}

// 删除充装枪
export function delFillGun(parameter) {
  return request({
    url: '/api/fill-gun',
    method: 'delete',
    data: parameter
  })
}
